2019-10-21 18:26 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001413FSSCPBTRLpublic2008-01-13 11:08
Reportersutrar 
Assigned ToBackslash 
PrioritynormalSeveritytrivialReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.9 
Target VersionFixed in Version3.6.10 
Summary0001413: "Attitude thruster" control during glide mode
DescriptionSorry to report this as a bug, it´s more of an inspirative thought. During glide mode (very useful itself), it is impossible to change the direction of flight in any way. It was stated in one forum, that this is an "arcade game" - no Newtonian physics etc., and that the glide mode is a feature, which should enable the pilot to make SOME of the maneuvers from the TV series.
Here is an inspiration for you about how the pilot could do almost ALL maneuvers in the TV series etc. By allowing both "attitude thruster" control (SHIFT - 1, SHIFT - 3, SHIFT-num+, SHIFT-num ENTER by default) and main engine acceleration and deceleration (A, Z or Y by default) DURING GLIDE MODE would allow the pilot to execute a virtually limitless amount of new maneuvers instead of merely maintaining momentum along a certain direction, unchangeable in any way without turning glide mode off and then back on.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0008168

Backslash (developer)

Yeah, this would have been better to discuss at the forums, either hard-light.net Source Code Project or game-warden.com BtRL. That said...

I've already done this :-D
It's been in experimental HEAD builds for testing a couple weeks now... if it checks out and people approve, it'll be added to the stable builds.

So... great idea ;-) I think you'll like how it turned out.

~0008811

Backslash (developer)

Forgot this was still open. At this point this feature is in both branches of CVS, and the BtRL "Patch 1". Enjoy!
+Notes

-Issue History
Date Modified Username Field Change
2007-06-05 10:26 sutrar New Issue
2007-06-07 08:19 Backslash Note Added: 0008168
2007-06-07 08:20 Backslash Status new => assigned
2007-06-07 08:20 Backslash Assigned To => Backslash
2008-01-13 11:08 Backslash Status assigned => resolved
2008-01-13 11:08 Backslash Fixed in Version => 3.6.10
2008-01-13 11:08 Backslash Resolution open => fixed
2008-01-13 11:08 Backslash Note Added: 0008811
+Issue History